*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'poppins', sans-serif;
}
body
{
    color: #ededed;
    background: #010406;
}
.header
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 10%;
    background: rgb(72, 37, 37);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.logo
{
    position: relative;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    cursor: default;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}
.navbar a
{
    display: inline-block;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px;
    transition: .3s;
    opacity: 0;
    animation: slideTop .5s ease forwards;
}
.navbar a:hover
{
    color: #0ef;
}
.home
{
    position: relative;
    width: 100%;
    justify-content: space-between;
    height: 100vh;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 70px, 10%;
    padding-left: 5%;
}
.home-content
{
    max-width: 2000px;
}
.home-content h3
{
    font-size: 32px;
    font-weight: 700;
    opacity: 0;
    animation: slideBottom .5s ease forwards;
    animation-delay: .7s;
}
.home-content p
{
    font-size: 20px;
    opacity: 0;
    animation: slideLeft .5s ease forwards;
    animation-delay: 1s;
}
.home-sci a
{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft .5s ease forwards;
    animation-delay: .5s;
    margin: 30px 15px 30px 0;
}
.home-sci a:hover
{
    background: #0ef;
    color: #081b29;
    box-shadow: 0 0 20px #0ef;
}
.btn-box
{
    display: inline-block;
    padding: 12px 28px;
    background-color: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideRight .5s ease forwards;
    animation-delay: .5s;
}
.btn-box:hover
{
    box-shadow: 0 0 5px cyan,
    0 0 25px cyan, 0 0 50px cyan;
}
.about
{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 1.5rem;
}
.about-img img
{
    padding-bottom: 20%;
    padding-top: 20%;
    padding-left: 10%;
    max-width: 400px;
    height: auto;
    width: 100%;
    border-radius: 8px;
}
.about-txt h2
{
    font-size: 60px;
    padding-right: 10%;
}
.about-txt p
{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
    padding-right: 10%;
}
.skills
{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
}
.skillContainer
{
    padding: 90px;
}
.skills-list
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px,200px)); 
    grid-gap: 40px;
    margin-top: 50px;
    margin-left: 5%;
}
.skills-list div
{
    background-color: transparent;
    padding: 40px;
    font-size: 12px;
    font-weight: 13px;
    border-right: 10px;
    border-radius: 20px;
    transition: background 0.5s, transfrom 0.5s;
    box-shadow: 1px 1px 20px aliceblue;
}
.skills-list div i
{
    font-size: 50px;
    align-content: center;
}
.skills-list div h2
{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
    align-content: center;
}

.langList
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30px,200px)); 
    grid-gap: 40px;
    margin-top: 1px;
    margin-left: 15%;
}
.langList div
{
    background-color: transparent;
    padding: 40px;
    font-size: 12px;
    font-weight: 13px;
    border-right: 10px;
    border-radius: 20px;
    transition: background 0.5s, transfrom 0.5s;
    box-shadow: 1px 1px 20px aliceblue;
}
.langList div h2
{
    font-size: 25px;
    font-weight: 500;
    margin-bottom: 15px;
    align-content: center;
}


.repositories
{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
}
.sub-title
{
    text-align: center;
    font-size: 60px;
    padding-bottom: 70px;
    padding-top: 50px;
}
.container
{
    padding: 90px;
}
.repo-list
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(259px,1fr)); 
    grid-gap: 40px;
    margin-top: 50px;
}
.repo-list div
{
    background-color: transparent;
    padding: 40px;
    font-size: 13px;
    font-weight: 13px;
    border-right: 10px;
    border-radius: 20px;
    transition: background 0.5s, transfrom 0.5s;
    box-shadow: 1px 1px 20px aliceblue;
}
.repo-list div i
{
    font-size: 50px;
    margin-bottom: 30px;
}
.repo-list div h2
{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.repo-list div a
{
    text-decoration: none;
    color: rgb(11, 1, 1);
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.read
{
    display: inline-block;
    padding: 12px 28px;
    background-color: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: black;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 1s;
    box-shadow: 0 0 5px #0ef, 0 0 25px #0ef;
}
.read:hover
{
    box-shadow: 0 0 5px cyan,
    0 0 25px cyan, 0 0 50px cyan;
}
.repo-list div:hover
{
    transform: translateY(-10px);
}

.contact
{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 3em;
    padding-left: 30px;
    margin-top: 130px;
    background-color: rebeccapurple;
}
.contact-txt h2
{
    padding-top: 10px;
    font-size: 50px;
    line-height: 1;
    text-align: left;
}
.contact-list
{
    margin-top: 2em;
    margin-bottom: 3em;
    margin-left: 1em;
    align-items: center;
}
.contact-list li
{
    margin-bottom: 10px;
    display: block;
    align-items: center;
}
.contact-list i
{
    display: inline-block;
    color: aquamarine;
    font-size: 20px;
    font-weight: 600;
    transition: all .40s ease;
}
@keyframes slideRight 
{
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideLeft
{
    0% {
        transform: translateX(100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideTop
{
    0% {
        transform: translateY(100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideBottom
{
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}   